1

After adding manage package subscriber id in the sfdx-project.json file I am getting below error

ERROR at Row:1:Column:125 sObject type 'Package2VersionCreateRequest' is not supported. If you are attempting to use a custom object, be sure to append the '__c' after the entity name. Please reference your WSDL or the describe call for the appropriate names.

Try this: Packaging is not enabled on this org. Verify that you are authenticated to the desired org and try again. Otherwise, contact Salesforce Customer Support for more information."

My JSON looks like

{
    "packageDirectories": [
        {
            "path": "Classes",
            "default": true,
            "package": "PackageForClasses",
            "versionName": "ver 0.1",
            "versionNumber": "0.1.0.NEXT",
            "dependencies": [
                {
                    "package": "PackageForObjects",
                    "versionNumber": "0.1.0.LATEST"
                },
                {
                    "package":"**managepackage subscriber id**"

                }
            ]
        }

Normally my versioning is getting successfully done without the manage package subscriber id.

Then what could be the reason for this error?

0
0

Add managed package subscriber id as a dependency in json.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.